Bug 459043 - ACPI: Critical trip point - Critical temperature reached, shutting down.
ACPI: Critical trip point - Critical temperature reached, shutting down.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 17:26 EDT by Frode Tennebø
Modified: 2013-01-10 02:05 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.6.26.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:11:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frode Tennebø 2008-08-13 17:26:50 EDT
+++ This bug was initially created as a clone of Bug #244096 +++

Description of problem:

I upgraded from FC6 to F7 and only hours after rebooting into F7, the system 
shut down and I got this in /var/log/messages:

Jun 13 04:39:51 luke kernel: ACPI: Critical trip point
Jun 13 04:39:51 luke kernel: Critical temperature reached (3342 C), shutting 
down.
Jun 13 04:39:51 luke shutdown[5858]: shutting down for system halt
Jun 13 04:39:56 luke mountd[2148]: Caught signal 15, un-registering and exiting.
Jun 13 04:40:00 luke kernel: nfsd: last server has exited
Jun 13 04:40:00 luke kernel: nfsd: unexporting all filesystems
Jun 13 04:40:04 luke smartd[2031]: smartd received signal 15: Terminated
Jun 13 04:40:04 luke smartd[2031]: smartd is exiting (exit status 0)
Jun 13 04:40:05 luke xinetd[2079]: Exiting...
Jun 13 04:40:06 luke kernel: Critical temperature reached (63 C), shutting down.
Jun 13 04:40:09 luke kernel: md: stopping all md devices.
Jun 13 04:40:09 luke kernel: md: md0 still in use.
Jun 13 04:40:09 luke kernel: md: md1 still in use.
Jun 13 04:40:10 luke kernel: Synchronizing SCSI cache for disk sdb:
Jun 13 04:40:10 luke kernel: Synchronizing SCSI cache for disk sda:
Jun 13 04:40:10 luke ntpd[2098]: ntpd exiting on signal 15
Jun 13 04:40:11 luke kernel: ACPI: PCI interrupt for device 0000:02:02.0 
disabled

Current temperature is:

[root@luke log]# cat /proc/acpi/thermal_zone/THRM/temperature
temperature:             38 C

63 centigrades is highly unlikely, and, while it is summer, 3342 centigrades is 
inconceiveable, even for Norway.

Version-Release number of selected component (if applicable):

kernel-2.6.21-1.3194.fc7

How reproducible:

Don't know.  Bootet into an FC6 kernel.

--- Additional comment from cebbert@redhat.com on 2007-06-13 15:38:47 EDT ---

What kind of system did this happen on?

CPU vendor and model (from /proc/cpuinfo) would be useful too.


--- Additional comment from frodet@nvg.org on 2007-06-13 18:11:14 EDT ---

Ah! Sorry.

It's a Compaq Professional Workstation AP550.

[root@luke log]# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 3
cpu MHz         : 731.037
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat 
pse36 mmx fxsr sse
bogomips        : 1462.80
clflush size    : 32

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 3
cpu MHz         : 731.037
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat 
pse36 mmx fxsr sse
bogomips        : 1461.84
clflush size    : 32



--- Additional comment from chepioq@hotmail.fr on 2007-06-29 01:53:36 EDT ---

what is the result of:
# cat /proc/acpi/thermal_zone/THRM/trip_points

--- Additional comment from cebbert@redhat.com on 2007-06-29 18:09:12 EDT ---

What drivers are loaded?
Post output of 'lsmod' please.
I ended up blacklisting some modules and my problem with this went away, as did
another reporter. We never did figure out what module was the root cause:

  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=229944


--- Additional comment from chepioq@hotmail.fr on 2007-07-01 01:25:37 EDT ---

(In reply to comment #3)
> what is the result of:
> # cat /proc/acpi/thermal_zone/THRM/trip_points
 or look this bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=242369


--- Additional comment from frodet@nvg.org on 2007-07-01 05:28:09 EDT ---

I presume you'd like me to do this with the F7 kernel loaded, but I'm currently 
physically away from the system in question.  However, here's for the currently 
working kernel (fore completeness):


[ft@luke ~]$ uname -a
Linux luke 2.6.20-1.2948.fc6 #1 SMP Fri Apr 27 19:48:40 EDT 2007 i686 i686 i386 
GNU/Linux
[ft@luke ~]$ cat /proc/acpi/thermal_zone/THRM/trip_points
critical (S5):           95 C
passive:                 90 C: tc1=1 tc2=6 tsp=300 devices=0xefd0c554
active[0]:               79 C: devices=0xefd0ccfc
active[1]:               77 C: devices=0xefd0cc48
active[2]:               75 C: devices=0xefd106e4
active[3]:               73 C: devices=0xefd10630
active[4]:               71 C: devices=0xefd1057c
active[5]:               69 C: devices=0xefd104c8
active[6]:               67 C: devices=0xefd10414
active[7]:               65 C: devices=0xefd10360
active[8]:               63 C: devices=0xefd10c0c
active[9]:               27 C: devices=0xefd10b58
[root@luke ~]# lsmod
Module                  Size  Used by
vfat                   16193  0
fat                    53469  1 vfat
cdc_acm                18913  0
usb_storage            69121  0
nls_utf8                6209  1
cifs                  213329  1
sit                    14757  0
nvidia               3935180  8
nfsd                  208305  17
exportfs                9665  1 nfsd
autofs4                24261  2
nfs                   225229  2
lockd                  62665  3 nfsd,nfs
nfs_acl                 7617  2 nfsd,nfs
sunrpc                153469  13 nfsd,nfs,lockd,nfs_acl
ib_iser                37037  0
rdma_cm                29701  1 ib_iser
ib_cm                  34769  1 rdma_cm
iw_cm                  13381  1 rdma_cm
ib_sa                  18149  2 rdma_cm,ib_cm
ib_mad                 38369  2 ib_cm,ib_sa
ib_core                50881  6 ib_iser,rdma_cm,ib_cm,iw_cm,ib_sa,ib_mad
ib_addr                11845  1 rdma_cm
iscsi_tcp              26177  0
libiscsi               27329  2 ib_iser,iscsi_tcp
scsi_transport_iscsi    30025  4 ib_iser,iscsi_tcp,libiscsi
dm_multipath           21833  0
video                  19909  0
sbs                    19073  0
i2c_ec                  9025  1 sbs
dock                   13977  0
button                 11857  0
battery                13893  0
asus_acpi              20445  0
backlight              10177  1 asus_acpi
ac                      9157  0
ipv6                  275969  33 sit
lp                     16265  0
loop                   20041  0
snd_intel8x0           35677  2
snd_ac97_codec         93413  1 snd_intel8x0
ac97_bus                6465  1 snd_ac97_codec
snd_seq_dummy           7877  0
i2c_i801               11725  0
snd_seq_oss            33601  0
e100                   37705  0
serio_raw              10821  0
snd_seq_midi_event     11201  1 snd_seq_oss
snd_seq                51249  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
mii                     9409  1 e100
i2c_core               24897  2 i2c_ec,i2c_i801
snd_seq_device         11853  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            43616  0
intel_rng               9537  0
iTCO_wdt               15109  0
snd_mixer_oss          19393  2 snd_pcm_oss
iTCO_vendor_support     7877  1 iTCO_wdt
parport_pc             30053  1
parport                38537  2 lp,parport_pc
ata_piix               19141  0
snd_pcm                75205  3 snd_intel8x0,snd_ac97_codec,snd_pcm_oss
libata                104789  1 ata_piix
pcspkr                  7233  0
floppy                 58789  0
snd_timer              25157  2 snd_seq,snd_pcm
snd                    53829  11 
snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore              11681  2 snd
snd_page_alloc         13769  2 snd_intel8x0,snd_pcm
sg                     37213  0
dm_snapshot            20849  0
dm_zero                 6209  0
dm_mirror              25301  0
dm_mod                 58253  7 dm_multipath,dm_snapshot,dm_zero,dm_mirror
aic7xxx               137465  6
scsi_transport_spi     27201  1 aic7xxx
sd_mod                 24129  8
scsi_mod              138093  10 
usb_storage,ib_iser,iscsi_tcp,libiscsi,scsi_transport_iscsi,libata,sg,aic7xxx,scsi_transport_spi,sd_mod
raid456               123473  0
xor                    18121  1 raid456
raid1                  26433  2
ext3                  125641  2
jbd                    60777  1 ext3
ehci_hcd               34125  0
ohci_hcd               23493  0
uhci_hcd               26705  0

I'll check back in with data for the F7 kernel.

--- Additional comment from bugs.michael@gmx.net on 2007-07-07 19:35:57 EDT ---

Same for me (I still see bug 155496), and also 65 C is realistic
here, a recent kernel update makes it impossible to alter the
trip points:

# echo -n "85:0:80:60:0" > /proc/acpi/thermal_zone/THRM/trip_points
-bash: echo: write error: Invalid argument


--- Additional comment from bugs.michael@gmx.net on 2007-07-07 19:38:41 EDT ---

Scratch that, this ticket is about F7 not Rawhide.

--- Additional comment from chepioq@hotmail.fr on 2007-07-10 00:55:06 EDT ---

the good command is:
# echo 85:0:80:60:0 > /proc/acpi/thermal_zone/THRM/trip_points

--- Additional comment from snecklifter@gmail.com on 2007-09-16 17:49:33 EDT ---

Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris

--- Additional comment from frodet@nvg.org on 2007-09-28 14:03:55 EDT ---

I have upgraded to kernel-2.6.22.5-76.fc7 (and previous releases).  All have 
behaved nicely.
Comment 1 Frode Tennebø 2008-08-13 17:29:38 EDT
I'm reopening this as I see exactly the same behaviour with identical hardware as before, but with updated kernel:

[root@luke ~]# cat /var/log/messages | grep temp
Aug 12 22:48:07 luke kernel: Critical temperature reached (3343 C), shutting down.
Aug 12 22:48:37 luke kernel: Critical temperature reached (63 C), shutting down.
Aug 13 21:47:49 luke kernel: Critical temperature reached (3341 C), shutting down.
Aug 13 21:48:19 luke kernel: Critical temperature reached (60 C), shutting down.
[root@luke ~]# uname -a
Linux luke 2.6.25.11-60.fc8 #1 SMP Mon Jul 21 02:06:29 EDT 2008 i686 i686 i386 GNU/Linux
Comment 2 Frode Tennebø 2008-08-21 09:37:39 EDT
It just happened again:

Aug 21 03:58:46 luke kernel: Critical temperature reached (3340 C), shutting dow
n.
Aug 21 03:58:46 luke shutdown[31566]: shutting down for system halt
Aug 21 03:58:50 luke gconfd (ft-3506): Received signal 15, shutting down cleanly
Aug 21 03:58:51 luke gconfd (ft-3506): Exiting
Aug 21 03:58:56 luke smartd[2758]: smartd received signal 15: Terminated
Aug 21 03:58:56 luke smartd[2758]: smartd is exiting (exit status 0)
Aug 21 03:59:01 luke kernel: Critical temperature reached (65 C), shutting down.
Aug 21 03:59:01 luke acpid: client has disconnected
Aug 21 03:59:01 luke acpid: client has disconnected
:

[root@luke ~]# uname -a
Linux luke 2.6.25.11-60.fc8 #1 SMP Mon Jul 21 02:06:29 EDT 2008 i686 i686 i386 GNU/Linux
Comment 3 Frode Tennebø 2008-08-22 12:21:05 EDT
This also just happened after a F9 upgrade:

[root@luke init.d]# uname -a
Linux luke 2.6.25.14-108.fc9.i686 #1 SMP Mon Aug 4 14:08:11 EDT 2008 i686 i686 i386 GNU/Linux

[root@luke livna]#
Message from syslogd@luke at Aug 22 18:14:50 ...
 kernel:Critical temperature reached (3342 C), shutting down.

Broadcast message from root@luke
        (unknown) at 18:14 ...

The system is going down for power off NOW!
Comment 4 Fedora Update System 2008-08-31 11:18:33 EDT
kernel-2.6.26.3-12.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/kernel-2.6.26.3-12.fc8
Comment 5 Fedora Update System 2008-09-03 12:37:06 EDT
kernel-2.6.26.3-14.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/kernel-2.6.26.3-14.fc8
Comment 6 Fedora Update System 2008-09-10 03:22:41 EDT
kernel-2.6.26.3-14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Frode Tennebø 2008-09-10 13:38:35 EDT
I can confirm that it persists for 2.6.25.14-108 F9.  I have therefore move this bug to that release.

I can also note that it appears that adding the kernel parameter  "acpi=no" seems to stop this behaviour as I now have an uptime of 6 days - normally it shuts down withing 10 hours, usually within 2.  "noacpi" had no effect...
Comment 8 Chuck Ebbert 2008-09-22 00:10:21 EDT
(In reply to comment #7)
> I can confirm that it persists for 2.6.25.14-108 F9.  I have therefore move
> this bug to that release.
> 

It is fixed in the 2.6.26.3 kernels on both F8 and F9.
Comment 9 Frode Tennebø 2008-10-05 11:13:38 EDT
I can confirm that 2.6.26.3 did NOT fix this problem:

Oct  3 21:13:25 luke kernel: imklog 3.18.1, log source = /proc/kmsg started.
Oct  3 21:13:25 luke kernel: Initializing cgroup subsys cpuset
Oct  3 21:13:25 luke kernel: Linux version 2.6.26.3-29.fc9.i686 (mockbuild@) (gcc version 4.3.0 2
0080428 (Red Hat 4.3.0-8) (GCC) ) #1 SMP Wed Sep 3 03:42:27 EDT 2008
:
:
Oct  3 21:18:01 luke ntpd[2448]: synchronized to 193.120.142.71, stratum 2
Oct  3 21:18:01 luke ntpd[2448]: time correction of -7201 seconds exceeds sanity limit (1000); se
t clock manually to the correct UTC time.
Oct  3 19:22:31 luke ntpd[6042]: ntpd 4.2.4p4@1.1520-o Mon Jul 28 11:12:44 UTC 2008 (1)
:
:
Oct  3 19:40:41 luke kernel: ACPI: Critical trip point
Oct  3 19:40:41 luke kernel: Critical temperature reached (3343 C), shutting down.
Comment 10 Frode Tennebø 2008-10-06 02:05:01 EDT
Nor is it fixed in 2.6.26.5
[ft@luke ~]$ uname -a
Linux luke 2.6.26.5-45.fc9.i686 #1 SMP Sat Sep 20 03:45:00 EDT 2008 i686 i686 i386 GNU/Linux
[root@luke ~]#
Message from syslogd@luke at Oct  6 03:15:19 ...
 kernel:Critical temperature reached (4983 C), shutting down.

Broadcast message from root@luke
        (unknown) at 3:15 ...

The system is going down for power off NOW!
Connection to luke closed by remote host.
Connection to luke closed.
Comment 11 Dominik Sandjaja 2008-10-27 08:24:35 EDT
Since today, I experience temperature-initiated shutdowns while booting, the first message appears immediately before the disk initialization, then the system tries to shut down. This results in many errors, as nothing is mounted yet but tries to get unmounted, etc.

The critical temperature is always 144C, even it the laptop is powered on after being off for a day or so, if it boots, the sensors show 35-50 degrees.

May it have something to do with the latest initscripts-update? It also happens with older kernels, like 2.6.26.5-45.fc9.i686, but only since today!

[root@illuminati ~]# uname -a
Linux illuminati.dadadom.lan 2.6.26.6-79.fc9.i686 #1 SMP Fri Oct 17 14:52:14 EDT 2008 i686 i686 i386 GNU/Linux

[root@illuminati ~]# tail -n 25 /var/log/yum.log
Oct 24 11:32:10 Installed: phonon-backend-xine-4.1.2-5.fc9.i386
Oct 24 11:32:14 Updated: kdesvn-1.2.1-1.fc9.i386
Oct 24 11:32:16 Updated: git-email-1.5.6.5-1.fc9.i386
Oct 24 11:32:16 Updated: git-svn-1.5.6.5-1.fc9.i386
Oct 24 11:32:17 Updated: git-arch-1.5.6.5-1.fc9.i386
Oct 24 11:32:18 Updated: emacs-git-1.5.6.5-1.fc9.i386
Oct 24 11:32:19 Updated: git-cvs-1.5.6.5-1.fc9.i386
Oct 24 11:32:20 Updated: git-gui-1.5.6.5-1.fc9.i386
Oct 24 11:32:21 Updated: gitk-1.5.6.5-1.fc9.i386
Oct 24 11:32:21 Updated: git-all-1.5.6.5-1.fc9.i386
Oct 24 11:32:39 Erased: kmod-gspca-2.6.25.14-108.fc9.i686
Oct 24 11:33:19 Installed: kernel-2.6.26.6-79.fc9.i686
Oct 26 01:44:29 Updated: logwatch-7.3.6-25.fc9.noarch
Oct 26 01:44:38 Updated: php-pear-Image-GraphViz-1.2.1-4.fc9.noarch
Oct 26 01:44:47 Updated: file-libs-4.23-6.fc9.i386
Oct 26 01:44:50 Updated: Xaw3d-1.5E-12.fc9.i386
Oct 26 01:44:52 Updated: file-4.23-6.fc9.i386
Oct 26 01:44:54 Updated: xorg-x11-drv-synaptics-0.15.1-3.fc9.i386
Oct 26 01:45:05 Updated: initscripts-8.76.4-1.i386
Oct 26 01:54:23 Updated: 2:opera-9.61-2456.gcc4.shared.qt3.i386
Oct 26 09:35:36 Erased: flash-plugin
Oct 26 10:09:29 Installed: gc-devel.i386 7.0-7.fc9
Oct 26 10:20:37 Installed: boost-devel.i386 1.34.1-15.fc9
Oct 26 10:42:27 Installed: gsl-devel.i386 1.10-10.fc9
Oct 26 11:27:59 Installed: AdobeReader_deu-8.1.2_SU1-1.i486
Comment 12 Frode Tennebø 2008-10-27 14:22:59 EDT
I downgraded to:

[ft@luke STP]$ uname -a
Linux luke 2.6.23.1-42.fc8 #1 SMP Tue Oct 30 13:55:12 EDT 2007 i686 i686 i386 GNU/Linux

And everything has been shiny for:

[ft@luke STP]$ uptime
 19:21:10 up 14 days, 51 min,  5 users,  load average: 0.08, 0.03, 0.00
Comment 13 Bug Zapper 2009-06-09 22:27:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 13:11:33 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.